Skip to main content
POST
/
producer
/
download
Download Audio
curl --request POST \
  --url https://api.mountsea.ai/producer/download \
  --header 'Content-Type: application/json' \
  --data '
{
  "audioId": "<string>",
  "format": "<string>"
}
'
{
  "taskId": "<string>"
}
Download a generated audio file in the specified format. Returns a taskId - use /producer/tasks to poll for the download URL.

Request Body

audioId
string
required
The audio ID to download.
format
string
default:"m4a"
The output format.
FormatDescription
mp3MP3 format (compressed)
m4aM4A format (default, good quality/size balance)
wavWAV format (uncompressed, highest quality)

Response

taskId
string
The task ID. Use this to query task status via Get Task Status.

Example

curl -X POST https://api.mountsea.ai/producer/download \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer your-api-key" \
  -d '{
    "audioId": "9719e086-576a-4830-a0f2-7c9424460d6d",
    "format": "wav"
  }'

Response Example

{
  "taskId": "download-task-abc123"
}

Task Result Example

When the download is ready:
{
  "taskId": "download-task-abc123",
  "status": "completed",
  "result": {
    "url": "https://dkkj.s3.ap-east-1.amazonaws.com/mountseaapi/producer/audio/3c03d03b-a30e-4224-b865-b1802184d345/1770190061237.mp3",
    "format": "mp3"
  }
}
FieldDescription
urlDownload URL for the audio file
formatThe audio format (mp3/m4a/wav)
Download URLs are temporary and will expire. Save the file promptly after receiving the URL.
Format Recommendations:
  • Use mp3 for sharing and streaming (smallest file size)
  • Use m4a for general use (good balance)
  • Use wav for professional editing (highest quality)